#
# spec file for package python-pyRFC3339
#
# Copyright (c) 2016 Malcolm J Lewis <malcolmlewis@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%{?!python_module:%define python_module() python-%1 python3-%1}
%define         orig_name RPi.GPIO

Name:           python-RPi.GPIO
Version:        0.6.3
Release:        lp150.1.7
Summary:        A module to control Raspberry Pi GPIO channels
License:        MIT
Group:          Development/Languages/Python
Url:            https://sourceforge.net/projects/raspberry-gpio-python/
Source0:        %{orig_name}-%{version}.tar.gz
#Source0 via https://pypi.python.org/packages/e2/58/6e1b775606da6439fa3fd1550e7f714ac62aa75e162eed29dbec684ecb3e/RPi.GPIO-0.6.3.tar.gz

# PATCH-FIX-OPENSUSE cpuinfo-from-devicetree.patch cbosdonnat@suse.com -- Use the devicetree to get board infos
# pending upstream: https://sourceforge.net/p/raspberry-gpio-python/tickets/149/
Patch0:         cpuinfo-from-devicetree.patch
# PATCH-FIX-OPENSUSE read-pin-base.patch cbosdonnat@suse.com -- Don't assume gpiochip base is 0
Patch1:         read-pin-base.patch
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildRequires:  fdupes
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%python_subpackages

%description
This package provides a class to control the GPIO on a Raspberry Pi.

NOTE: This module is unsuitable for real-time or timing critical applications.

%prep
%setup -q -n %{orig_name}-%{version}
%patch0 -p1
%patch1 -p1

%build
%python_build

%install
%python_install -O1 --skip-build
%fdupes -s %{buildroot}

%files %{python_files}
%defattr(-,root,root)
%doc CHANGELOG.txt LICENCE.txt README.txt
%{python_sitearch}/
%{python_sitearch}/RPi.GPIO-%{version}-py%{py_ver}.egg-info

%changelog
* Wed Feb 22 2017 cbosdonnat@suse.com
- Get rid of the fake cpuinfo and use the /proc/device-tree/compatible
  content instead.
  Added patches:
    cpuinfo-from-devicetree.patch
  Removed patches:
    python-RPi.GPIO-fake-cpuinfo.patch
- Get GPIO interrupts to work
  read-pin-base.patch
* Tue Feb 21 2017 cbosdonnat@suse.com
- Actually apply python-RPi.GPIO-fake-cpuinfo.patch
* Tue Jan 17 2017 malcolmlewis@opensuse.org
- Add python-RPi.GPIO-fake-cpuinfo.patch: Use a systemd service
  and sysconfig entries to create a fake cpuinfo to include missing
  items.
* Mon Dec 26 2016 malcolmlewis@opensuse.org
- Initial build.
